Subject: Re: bug#22145: 25.0.50; tramp and auto-revert tests hang on OS X

From: Anders Lindgren <[email-masked]>
Date: Sat, 12 Dec 2015 22:05:58 +0100

>
> There was a bug indeed in auto-revert-tests.el, which made it freezing
> when no file notification was available. This I have fixed a week ago,
> commit 8b87522925c4acaa0b35459db2657fc4fc79f8d1. Maybe the error you
> have seen predates that patch.
>

That could have been it.

> >     # make -C test/automated tramp-tests
> Wait a while until you know for sure it hangs. Apply C-g. Move the
> cursor over the "tramp-test32-utf8" string in the *ert* buffer, and
> press m. You will see the *ERT Messages* buffer, pls show.

It just gave me a "ert--stats-test-pos: Wrong type argument: arrayp, nil"...

Anyway, I've attached the content of the *Messages* buffer, hopefully, it
will contain whatever you were looking for. Please let me know if you need
more information.

    -- Anders